#!/bin/bash
echo "Removing init scripts..."

SYSTEMD="/lib/systemd/system"
UPSTART="/etc/init"
SYSV1="/etc/init.d"
SYSV2="/etc/rc.d/init.d/"
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

if [ -f "/lib/systemd/system/tyk-dashboard.service" ]; then
	echo "Found Systemd"
	echo "Stopping the service"
	systemctl stop tyk-dashboard.service
	echo "Removing the service"
	rm /lib/systemd/system/tyk-dashboard.service
	systemctl --system daemon-reload
fi

if [ -f "/etc/init/tyk-dashboard.conf" ]; then
	echo "Found upstart"
	echo "Stopping the service"
	stop tyk-dashboard
	echo "Removing the service"
	rm /etc/init/tyk-dashboard.conf
fi

if [ -f "/etc/init.d/tyk-dashboard" ]; then
	echo "Found Sysv1"
	/etc/init.d/tyk-dashboard stop
	rm /etc/init.d/tyk-dashboard
fi

if [ -f "/etc/rc.d/init.d/tyk-dashboard" ]; then
	echo "Found Sysv2"
	echo "Stopping the service"
	/etc/rc.d/init.d/tyk-dashboard stop
	echo "Removing the service"
	rm /etc/rc.d/init.d/tyk-dashboard
fi
